Bug 582799 - Search is broken
Search is broken
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
1.4
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Jeff Weiss
:
Depends On:
Blocks: 563960 585227
  Show dependency treegraph
 
Reported: 2010-04-15 16:00 EDT by Jeff Weiss
Modified: 2014-11-09 17:50 EST (History)
3 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 585227 (view as bug list)
Environment:
Last Closed: 2010-08-12 12:47:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jeff Weiss 2010-04-15 16:00:15 EDT
Description of problem:
Search doesn't work at all

Version-Release number of selected component (if applicable):
00da6dd

How reproducible:
Always

Steps to Reproduce:
1. Take some resources into inventory
2. Log in, go to resource browser
3. Type in any search term that matches some existing resources

  
Actual results:
0 results

Expected results:
Some results

Additional info:
The autocomplete seems to show matches, but when you execute the search there are 0 results.
Comment 1 Joseph Marques 2010-04-15 16:15:32 EDT
commit 78a9c1cf005fbf15c5b95672b8fbe1ead5d81284

fix DynaSearch so that it uses the same alias generation scheme as CriteriaQueryGenerator
Comment 2 gneelaka@redhat.com 2010-04-23 05:45:39 EDT
build # 108 revision 10611

Steps i have performed are:

1)Go to the resource tab
2)type plugin ,select cron in the autocomplete list.
3)click on Go.

All the cron entries are populated.

this is working fine.
Comment 3 Corey Welton 2010-08-12 12:47:45 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.